Skip to main content

Documentation Index

Fetch the complete documentation index at: https://api.docs.onlydrams.app/llms.txt

Use this file to discover all available pages before exploring further.

Retrieves all collectable statuses for the authenticated user, including both system-created and custom statuses.

Endpoint

GET /api/v1/users/:id/statuses

Parameters

id
string
required
The ID of the user whose statuses to retrieve (must be the authenticated user).
page
integer
Page number for pagination (default: 1).
per
integer
Number of items per page (default: 20).
curl -X GET https://api.onlydrams.app/api/v1/users/123e4567-e89b-12d3-a456-426614174000/statuses \
  -H "Authorization: Bearer $ACCESS_TOKEN"
{
  "total": 11,
  "has_more": false,
  "data": [
    {
      "id": "status1",
      "name": "consumed",
      "color": "#000000",
      "system_created": true,
      "created_at": "2024-01-01T00:00:00Z"
    },
    {
      "id": "status2",
      "name": "deleted",
      "color": "#000000",
      "system_created": true,
      "created_at": "2024-01-01T00:00:00Z"
    },
    {
      "id": "status3",
      "name": "donated",
      "color": "#000000",
      "system_created": true,
      "created_at": "2024-01-01T00:00:00Z"
    },
    {
      "id": "status4",
      "name": "traded",
      "color": "#000000",
      "system_created": true,
      "created_at": "2024-01-01T00:00:00Z"
    },
    {
      "id": "status5",
      "name": "broken",
      "color": "#000000",
      "system_created": true,
      "created_at": "2024-01-01T00:00:00Z"
    },
    {
      "id": "status6",
      "name": "gifted",
      "color": "#000000",
      "system_created": true,
      "created_at": "2024-01-01T00:00:00Z"
    },
    {
      "id": "status7",
      "name": "sold",
      "color": "#000000",
      "system_created": true,
      "created_at": "2024-01-01T00:00:00Z"
    },
    {
      "id": "custom1",
      "name": "Investment",
      "color": "#17a2b8",
      "system_created": false,
      "created_at": "2024-01-15T11:45:00Z"
    },
    {
      "id": "custom2",
      "name": "Daily Drinker",
      "color": "#fd7e14",
      "system_created": false,
      "created_at": "2024-01-15T12:00:00Z"
    },
    {
      "id": "custom3",
      "name": "Special Occasion",
      "color": "#6f42c1",
      "system_created": false,
      "created_at": "2024-01-15T12:15:00Z"
    },
    {
      "id": "custom4",
      "name": "Limited Edition",
      "color": "#e83e8c",
      "system_created": false,
      "created_at": "2024-01-15T12:30:00Z"
    }
  ]
}

Error Responses

{
  "error": "User not found"
}
{
  "error": "You can only view your own statuses"
}